From 4efe8576aee99ae6e42543747afd6cb2d82f3f7a Mon Sep 17 00:00:00 2001
From: Davide Cavalca <dcavalca@fedoraproject.org>
Date: Mar 19 2026 09:29:22 +0000
Subject: [PATCH 13/16] Add Obsoletes/Provides for the stock release packages


---

diff --git a/fedora-asahi-remix-release.spec b/fedora-asahi-remix-release.spec
index 0e15a7c..6a5a791 100644
--- a/fedora-asahi-remix-release.spec
+++ b/fedora-asahi-remix-release.spec
@@ -151,9 +151,12 @@ Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 Recommends:     fedora-asahi-remix-release-identity-basic
 
 # We replace fedora-release stuff
-Conflicts:      fedora-release
+Conflicts:      fedora-release < 1:%{version}-%{release}
 Conflicts:      fedora-release-identity
 
+Obsoletes:      fedora-release < 1:%{version}-%{release}
+Provides:       fedora-release = 1:%{version}-%{release}
+
 BuildRequires:  redhat-rpm-config > 121-1
 BuildRequires:  systemd-rpm-macros
 
@@ -176,6 +179,9 @@ Requires:   fedora-repos(%{version})
 %endif
 Requires:   fedora-asahi-remix-release-identity = %{version}-%{release}
 
+Obsoletes:  fedora-release-common < 1:%{version}-%{release}
+Provides:   fedora-release-common = 1:%{version}-%{release}
+
 %if %{is_rawhide}
 # Make $releasever return "rawhide" on Rawhide
 # and "eln" on ELN.
@@ -203,6 +209,8 @@ RemovePathPostfixes: .basic
 Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 
+Obsoletes:      fedora-release-release-identity < 1:%{version}-%{release}
+Provides:       fedora-release-release-identity = 1:%{version}-%{release}
 
 %description identity-basic
 Provides the necessary files for an Fedora Asahi Remix installation that is not identifying
@@ -221,6 +229,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-cinnamon < 1:%{version}-%{release}
+Provides:       fedora-release-cinnamon = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-cinnamon if nothing else is already doing so.
@@ -240,6 +251,8 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-cinnamon = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-cinnamon < 1:%{version}-%{release}
+Provides:       fedora-release-identity-cinnamon = 1:%{version}-%{release}
 
 %description identity-cinnamon
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -258,6 +271,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-cloud < 1:%{version}-%{release}
+Provides:       fedora-release-cloud = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-cloud if nothing else is already doing so.
@@ -277,6 +293,8 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-cloud = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-cloud < 1:%{version}-%{release}
+Provides:       fedora-release-identity-cloud = 1:%{version}-%{release}
 
 %description identity-cloud
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -295,6 +313,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-compneuro < 1:%{version}-%{release}
+Provides:       fedora-release-compneuro = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-compneuro if nothing else is already doing so.
@@ -314,6 +335,8 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-compneuro = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-compneuro < 1:%{version}-%{release}
+Provides:       fedora-release-identity-compneuro = 1:%{version}-%{release}
 
 %description identity-compneuro
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -332,6 +355,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-container < 1:%{version}-%{release}
+Provides:       fedora-release-container = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-container if nothing else is already doing so.
@@ -351,6 +377,8 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-container = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-container < 1:%{version}-%{release}
+Provides:       fedora-release-identity-container = 1:%{version}-%{release}
 
 %description identity-container
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -369,6 +397,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-coreos < 1:%{version}-%{release}
+Provides:       fedora-release-coreos = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-coreos if nothing else is already doing so.
@@ -388,6 +419,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-coreos = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-coreos < 1:%{version}-%{release}
+Provides:       fedora-release-identity-coreos = 1:%{version}-%{release}
+
 
 %description identity-coreos
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -407,6 +441,9 @@ Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 Provides:       system-release-product
 
+Obsoletes:      fedora-release-designsuite < 1:%{version}-%{release}
+Provides:       fedora-release-designsuite = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-designsuite if nothing else is already doing so.
@@ -426,6 +463,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-designsuite = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-designsuite < 1:%{version}-%{release}
+Provides:       fedora-release-identity-designsuite = 1:%{version}-%{release}
+
 
 %description identity-designsuite
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -446,6 +486,9 @@ Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 Provides:       system-release-product
 Requires:       fedora-repos-eln
 
+Obsoletes:      fedora-release-eln < 1:%{version}-%{release}
+Provides:       fedora-release-eln = 1:%{version}-%{release}
+
 Obsoletes:      redhat-release
 Provides:       redhat-release
 
@@ -540,6 +583,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-eln = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-eln < 1:%{version}-%{release}
+Provides:       fedora-release-identity-eln = 1:%{version}-%{release}
+
 
 %description identity-eln
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -603,6 +649,9 @@ Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 Requires(meta): fedora-iot-config
 
+Obsoletes:      fedora-release-iot < 1:%{version}-%{release}
+Provides:       fedora-release-iot = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-iot if nothing else is already doing so.
@@ -622,6 +671,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-iot = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-iot < 1:%{version}-%{release}
+Provides:       fedora-release-identity-iot = 1:%{version}-%{release}
+
 
 %description identity-iot
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -642,6 +694,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-kde < 1:%{version}-%{release}
+Provides:       fedora-release-kde = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-kde if nothing else is already doing so.
@@ -663,6 +718,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-kde = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-kde < 1:%{version}-%{release}
+Provides:       fedora-release-identity-kde = 1:%{version}-%{release}
+
 
 %description identity-kde-desktop
 Provides the necessary files for a Fedora installation that is identifying
@@ -716,6 +774,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-matecompiz < 1:%{version}-%{release}
+Provides:       fedora-release-matecompiz = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-matecompiz if nothing else is already doing so.
@@ -735,6 +796,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-matecompiz = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-matecompiz < 1:%{version}-%{release}
+Provides:       fedora-release-identity-matecompiz = 1:%{version}-%{release}
+
 
 %description identity-matecompiz
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -753,6 +817,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-server < 1:%{version}-%{release}
+Provides:       fedora-release-server = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-server if nothing else is already doing so.
@@ -772,6 +839,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-server = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-server < 1:%{version}-%{release}
+Provides:       fedora-release-identity-server = 1:%{version}-%{release}
+
 
 %description identity-server
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -791,6 +861,9 @@ Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 Requires:       fedora-asahi-remix-release-ostree-desktop = %{version}-%{release}
 
+Obsoletes:      fedora-release-silverblue < 1:%{version}-%{release}
+Provides:       fedora-release-silverblue = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-silverblue if nothing else is already doing so.
@@ -829,6 +902,9 @@ Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 Requires:       fedora-asahi-remix-release-ostree-desktop = %{version}-%{release}
 
+Obsoletes:      fedora-release-kinoite < 1:%{version}-%{release}
+Provides:       fedora-release-kinoite = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-kinoite if nothing else is already doing so.
@@ -848,6 +924,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-kinoite = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-kinoite < 1:%{version}-%{release}
+Provides:       fedora-release-identity-kinoite = 1:%{version}-%{release}
+
 
 %description identity-kinoite
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -866,6 +945,9 @@ Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 Requires:       fedora-asahi-remix-release-ostree-desktop = %{version}-%{release}
 
+Obsoletes:      fedora-release-kinoite-mobile < 1:%{version}-%{release}
+Provides:       fedora-release-kinoite-mobile = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-kinoite-mobile if nothing else is already doing so.
@@ -885,6 +967,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-kinoite-mobile = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-kinoite-mobile < 1:%{version}-%{release}
+Provides:       fedora-release-identity-kinoite-mobile = 1:%{version}-%{release}
+
 
 %description identity-kinoite-mobile
 Provides the necessary files for a Fedora installation that is identifying
@@ -911,6 +996,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-snappy < 1:%{version}-%{release}
+Provides:       fedora-release-snappy = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-snappy if nothing else is already doing so.
@@ -930,6 +1018,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-snappy = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-snappy < 1:%{version}-%{release}
+Provides:       fedora-release-identity-snappy = 1:%{version}-%{release}
+
 
 %description identity-snappy
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -948,6 +1039,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-soas < 1:%{version}-%{release}
+Provides:       fedora-release-soas = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-soas if nothing else is already doing so.
@@ -967,6 +1061,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-soas = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-soas < 1:%{version}-%{release}
+Provides:       fedora-release-identity-soas = 1:%{version}-%{release}
+
 
 %description identity-soas
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -985,6 +1082,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-toolbx < 1:%{version}-%{release}
+Provides:       fedora-release-toolbx = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-toolbx if nothing else is already doing so.
@@ -1004,6 +1104,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-toolbx = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-toolbx < 1:%{version}-%{release}
+Provides:       fedora-release-identity-toolbx = 1:%{version}-%{release}
+
 
 %description identity-toolbx
 Provides the necessary files for a Fedora Asahi Remix installation that is identifying
@@ -1022,6 +1125,9 @@ Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 Provides:       system-release-product
 
+Obsoletes:      fedora-release-workstation < 1:%{version}-%{release}
+Provides:       fedora-release-workstation = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-workstation if nothing else is already doing so.
@@ -1041,6 +1147,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-workstation = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-workstation < 1:%{version}-%{release}
+Provides:       fedora-release-identity-workstation = 1:%{version}-%{release}
+
 
 %description identity-workstation
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -1059,6 +1168,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-xfce < 1:%{version}-%{release}
+Provides:       fedora-release-xfce = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-xfce if nothing else is already doing so.
@@ -1078,6 +1190,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-xfce = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-xfce < 1:%{version}-%{release}
+Provides:       fedora-release-identity-xfce = 1:%{version}-%{release}
+
 
 %description identity-xfce
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -1096,6 +1211,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-i3 < 1:%{version}-%{release}
+Provides:       fedora-release-i3 = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-i3 if nothing else is already doing so.
@@ -1115,6 +1233,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-i3 = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-i3 < 1:%{version}-%{release}
+Provides:       fedora-release-identity-i3 = 1:%{version}-%{release}
+
 
 %description identity-i3
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -1133,6 +1254,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-lxde < 1:%{version}-%{release}
+Provides:       fedora-release-lxde = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-lxde if nothing else is already doing so.
@@ -1152,6 +1276,8 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-lxde = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-lxde < 1:%{version}-%{release}
+Provides:       fedora-release-identity-lxde = 1:%{version}-%{release}
 
 %description identity-lxde
 Provides the necessary files for a Fedora Asahi Remix installation that is identifying
@@ -1170,6 +1296,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-lxqt < 1:%{version}-%{release}
+Provides:       fedora-release-lxqt = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-lxqt if nothing else is already doing so.
@@ -1189,6 +1318,8 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-lxqt = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-lxqt < 1:%{version}-%{release}
+Provides:       fedora-release-identity-lxqt = 1:%{version}-%{release}
 
 %description identity-lxqt
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -1206,6 +1337,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-budgie < 1:%{version}-%{release}
+Provides:       fedora-release-budgie = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-budgie if nothing else is already doing so.
@@ -1225,6 +1359,8 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-budgie = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-budgie < 1:%{version}-%{release}
+Provides:       fedora-release-identity-budgie = 1:%{version}-%{release}
 
 %description identity-budgie
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -1243,6 +1379,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-sway < 1:%{version}-%{release}
+Provides:       fedora-release-sway = 1:%{version}-%{release}
+
 # fedora-asahi-remix-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-sway if nothing else is already doing so.
@@ -1262,6 +1401,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-sway = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-sway < 1:%{version}-%{release}
+Provides:       fedora-release-identity-sway = 1:%{version}-%{release}
+
 
 %description identity-sway
 Provides the necessary files for an Fedora Asahi Remix installation that is identifying
@@ -1281,6 +1423,9 @@ Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 Requires:       fedora-asahi-remix-release-ostree-desktop = %{version}-%{release}
 
+Obsoletes:      fedora-release-sway-atomic < 1:%{version}-%{release}
+Provides:       fedora-release-sway-atomic = 1:%{version}-%{release}
+
 # fedora-asahi-remix-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-sway-atomic if nothing else is already doing so.
@@ -1299,6 +1444,8 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-sway-atomic = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-sway-atomic < 1:%{version}-%{release}
+Provides:       fedora-release-identity-sway-atomic = 1:%{version}-%{release}
 
 %description identity-sway-atomic
 Provides the necessary files for a Fedora Asahi Remix installation that is identifying
@@ -1317,6 +1464,9 @@ Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 Requires:       fedora-asahi-remix-release-ostree-desktop = %{version}-%{release}
 
+Obsoletes:      fedora-release-budgie-atomic < 1:%{version}-%{release}
+Provides:       fedora-release-budgie-atomic = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-budgie-atomic if nothing else is already doing so.
@@ -1335,6 +1485,8 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-budgie-atomic = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-budgie-atomic < 1:%{version}-%{release}
+Provides:       fedora-release-identity-budgie-atomic = 1:%{version}-%{release}
 
 %description identity-budgie-atomic
 Provides the necessary files for a Fedora Asahi Remix installation that is identifying
@@ -1353,6 +1505,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-mobility < 1:%{version}-%{release}
+Provides:       fedora-release-mobility = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-mobility if nothing else is already doing so.
@@ -1372,6 +1527,8 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-mobility = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-mobility < 1:%{version}-%{release}
+Provides:       fedora-release-identity-mobility = 1:%{version}-%{release}
 
 %description identity-mobility
 Provides the necessary files for a Fedora Asahi Remix installation that is identifying
@@ -1389,6 +1546,9 @@ Provides:       system-release
 Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 
+Obsoletes:      fedora-release-miraclewm < 1:%{version}-%{release}
+Provides:       fedora-release-miraclewm = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-miraclewm if nothing else is already doing so.
@@ -1408,6 +1568,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-miraclewm = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-miraclewm < 1:%{version}-%{release}
+Provides:       fedora-release-identity-miraclewm = 1:%{version}-%{release}
+
 
 %description identity-miraclewm
 Provides the necessary files for a Fedora installation that is identifying
@@ -1427,6 +1590,9 @@ Provides:       system-release(%{version})
 Requires:       fedora-asahi-remix-release-common = %{version}-%{release}
 Requires:       fedora-asahi-remix-release-ostree-desktop = %{version}-%{release}
 
+Obsoletes:      fedora-release-miraclewm-atomic < 1:%{version}-%{release}
+Provides:       fedora-release-miraclewm-atomic = 1:%{version}-%{release}
+
 # fedora-asahi-remix-release-common Requires: fedora-asahi-remix-release-identity, so at least one
 # package must provide it. This Recommends: pulls in
 # fedora-asahi-remix-release-identity-miraclewm-atomic if nothing else is already doing so.
@@ -1446,6 +1612,9 @@ Provides:       fedora-asahi-remix-release-identity = %{version}-%{release}
 Conflicts:      fedora-asahi-remix-release-identity
 Requires(meta): fedora-asahi-remix-release-miraclewm-atomic = %{version}-%{release}
 
+Obsoletes:      fedora-release-identity-miraclewm-atomic < 1:%{version}-%{release}
+Provides:       fedora-release-identity-miraclewm-atomic = 1:%{version}-%{release}
+
 
 %description identity-miraclewm-atomic
 Provides the necessary files for a Fedora installation that is identifying
